Skip to main content

public/get-risk-parameters

GET 

/public/get-risk-parameters

Provides information on risk parameter settings for Smart Cross Margin.
Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. Risk parameters (Smart Cross Margin).
    default_max_product_leverage_for_spot decimal

    default max product leverage for margin trading unless specified in base_currency_config array

    default_max_product_leverage_for_perps decimal

    default max product leverage for perpetuals unless specified in base_currency_config array

    default_max_product_leverage_for_futures decimal

    default max product leverage for futures unless specified in base_currency_config array

    default_umr_multiplier_for_spot decimal
    default_umr_multiplier_for_perps decimal
    default_umr_multiplier_for_futures decimal
    default_long_pos_limit_perps decimal

    default max long position permitted for perpetual contracts, unless specified in base_currency_config array. A value of -1 indicates that no position limit applies.

    default_short_pos_limit_perps decimal

    default max short position permitted for perpetual contracts, unless specified in base_currency_config array. A value of -1 indicates that no position limit applies.

    default_long_pos_limit_futures decimal

    default max long position permitted on futures, unless specified in base_currency_config array. A value of -1 indicates that no position limit applies.

    default_short_pos_limit_futures decimal

    default max short position permitted on futures, unless specified in base_currency_config array. A value of -1 indicates that no position limit applies.

    default_unit_margin_rate decimal

    default additional margin rate / haircut rate for holding 1 unit of positions unless specified in base_currency_config array

    default_collateral_cap decimal

    refer to specified collateral cap for each token in base_currency_config array. Field is omitted if the token is not eligible as collateral

    update_timestamp_ms int64

    Last update time (ms).

    base_currency_config object[]
    specific risk parameters as shown below
  • Array [
  • instrument_name string
    collateral_cap_notional decimal

    the maximum $notional that is counted towards the margin balance. Any additional token balance would not contribute to the margin balance. Field is omitted if the token is not eligible as collateral

    minimum_haircut decimal

    Minimum haircut rate. Field is omitted if the token is not eligible as collateral

    max_product_leverage_for_spot decimal

    the max product leverage for margin trading on this token.

    max_product_leverage_for_perps decimal

    the max product leverage for perpetuals on this base token

    max_product_leverage_for_futures decimal

    the max product leverage for futures on this base token

    unit_margin_rate decimal

    the additional margin rate / haircut rate for holding 1 unit of positions with this base token

    max_short_sell_limit decimal

    max negative asset balance user can hold on the base token. If field is omitted means no short sell permitted on the token

    daily_notional_limit decimal

    max spot order notional user can place in rolling 24-hour window. If field is omitted

    order_limit decimal

    max $notional per spot order on this base token

    max_order_notional_usd decimal

    max $notional per spot order on this base token

    min_order_notional_usd decimal

    min $notional per spot order on this base token

    long_pos_limit_perps decimal

    the max long position permitted for perpetuals on this base token

    short_pos_limit_perps decimal

    the max short position permitted for perpetuals on this base token

    long_pos_limit_futures decimal

    the max long position permitted for futures on this base token

    short_pos_limit_futures decimal

    the max short position permitted for futures on this base token

  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.